Groovy Documentation

## org.codehaus.groovy.tools.shell
[Groovy] Class Main

    java.lang.Object
      org.codehaus.groovy.tools.shell.Main

    class Main

Main CLI entry-point for `groovysh`.

Authors:
  Jason Dillon

Version:
  \$Id\$

Method Summary
`static void` | `main(java.lang.String[] args)`
`static void` | `setColor(java.lang.Object value)`
`static void` | `setSystemProperty(java.lang.String nameValue)`
`static void` | `setTerminalType(java.lang.String type)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### main

    static void main(java.lang.String[] args)

### setColor

    static void setColor(java.lang.Object value)

### setSystemProperty

    static void setSystemProperty(java.lang.String nameValue)

### setTerminalType

    static void setTerminalType(java.lang.String type)

Groovy Documentation